import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import "./icons"
import "./mixins/common";
import '@/assets/styles/theme/default.scss';
import "@/assets/styles/index.scss";
import Navigation from './utils/navigator/index'
import NoData from '@/components/noData'
import moment from 'moment'
import momentFun from '@/utils/moment.js'
import lodash from "lodash"

Vue.config.productionTip = false
momentFun(moment)
Vue.prototype.$moment = moment
Vue.prototype.$lodash = lodash
Vue.prototype.$EventBus = new Vue()

Vue.use(Navigation, { router, store })
Vue.component("NoData", NoData)

import CustomComponents from 'custom-components-mobile'
import dictLoad from '@/utils/dictLoader'
CustomComponents.setDictLoader(dictLoad)
Vue.use(CustomComponents)
import CustomUpload from '@/components/CustomUpload'
Vue.component("CustomUpload", CustomUpload)

import longpress from '@/directive/longpress'
Vue.use(longpress)

new Vue({
	data: {
		imWs: null,
	},
	router,
	store,
	render: h => h(App)
}).$mount('#app')
